Module | YARD::Server

In:

lib/yard/autoload.rb
lib/yard/server/adapter.rb
lib/yard/server/commands/base.rb
lib/yard/server/commands/display_file_command.rb
lib/yard/server/commands/display_object_command.rb
lib/yard/server/commands/frames_command.rb
lib/yard/server/commands/library_command.rb
lib/yard/server/commands/library_index_command.rb
lib/yard/server/commands/list_command.rb
lib/yard/server/commands/search_command.rb
lib/yard/server/commands/static_file_command.rb
lib/yard/server/doc_server_helper.rb
lib/yard/server/doc_server_serializer.rb
lib/yard/server/library_version.rb
lib/yard/server/rack_adapter.rb
lib/yard/server/router.rb
lib/yard/server/static_caching.rb
lib/yard/server/webrick_adapter.rb
lib/yard/server.rb

Namespace for classes and modules that handle serving documentation over HTTP

## Implementing a Custom Server

To customize the YARD server, see the {Adapter} and {Router} classes.

## Rack Middleware

If you want to use the YARD server as a Rack middleware, see the documentation in {RackMiddleware}.

@since 0.6.0

### Methods

register_static_path

### Classes and Modules

Module YARD::Server::Commands
Module YARD::Server::DocServerHelper
Module YARD::Server::StaticCaching
Class YARD::Server::Adapter
Class YARD::Server::DocServerSerializer
Class YARD::Server::FinishRequest
Class YARD::Server::LibraryNotPreparedError
Class YARD::Server::LibraryVersion
Class YARD::Server::NotFoundError
Class YARD::Server::RackAdapter
Class YARD::Server::RackMiddleware
Class YARD::Server::Router
Class YARD::Server::WebrickAdapter
Class YARD::Server::WebrickServlet

### Public Class methods

register_static_path(path)

Registers a static path to be used in static asset lookup. @param [String] path the pathname to register @return [void] @since 0.6.2

[Validate]